"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const lodashEs = require("lodash-es");
const config = require("./table/config.js");
const index = require("./table/index.js");
const setTable = (options) => {
  const mergeOptions = lodashEs.merge(config.defaultOptions, options);
  Object.keys(options).forEach((key) => {
    config.defaultOptions[key] = mergeOptions[key];
  });
};
exports.BaseTable = index.BaseTable;
exports.CrudTable = index.CrudTable;
exports.useTable = index.useTable;
exports.useTableWithCrud = index.useTableWithCrud;
exports.setTable = setTable;
