import * as Config from './config';
import * as Base from './base';
import * as Crud from './crud';
/**
 * 基础查询表格
 * @param options 表格选项参数
 */
export declare function useTable<R = any>(options: Config.BaseTableOptions<Config.BaseOptions, R>): {
    tableOptions: {
        api?: {
            query?: {
                fn: () => Promise<R>;
                hooks?: {
                    before?: (<T extends Record<string, any> = any, BR extends Record<string, any>>(params: T) => BR) | undefined;
                    success?: ((result: R, $options: Config.BaseOptions) => void) | undefined;
                    error?: ((result: any, $options: Config.BaseOptions) => void) | undefined;
                } | undefined;
            } | undefined;
        } | undefined;
        size?: import("vxe-table").SizeType | undefined;
        id?: string | undefined;
        data?: any[] | undefined;
        height?: import("vxe-table").VxeTablePropTypes.Height | undefined;
        maxHeight?: import("vxe-table").VxeTablePropTypes.MaxHeight | undefined;
        resizable?: boolean | undefined;
        stripe?: boolean | undefined;
        round?: boolean | undefined;
        border?: import("vxe-table").VxeTablePropTypes.Border | undefined;
        loading?: boolean | undefined;
        align?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        headerAlign?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        footerAlign?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        showHeader?: boolean | undefined;
        highlightCurrentRow?: boolean | undefined;
        highlightHoverRow?: boolean | undefined;
        highlightCurrentColumn?: boolean | undefined;
        highlightHoverColumn?: boolean | undefined;
        highlightCell?: boolean | undefined;
        showFooter?: boolean | undefined;
        footerMethod?: import("vxe-table").VxeTablePropTypes.FooterMethod | undefined;
        rowClassName?: import("vxe-table").VxeTablePropTypes.RowClassName | undefined;
        cellClassName?: import("vxe-table").VxeTablePropTypes.CellClassName | undefined;
        headerRowClassName?: import("vxe-table").VxeTablePropTypes.HeaderRowClassName | undefined;
        headerCellClassName?: import("vxe-table").VxeTablePropTypes.HeaderCellClassName | undefined;
        footerRowClassName?: import("vxe-table").VxeTablePropTypes.FooterRowClassName | undefined;
        footerCellClassName?: import("vxe-table").VxeTablePropTypes.FooterCellClassName | undefined;
        cellStyle?: import("vxe-table").VxeTablePropTypes.CellStyle | undefined;
        headerCellStyle?: import("vxe-table").VxeTablePropTypes.HeaderCellStyle | undefined;
        footerCellStyle?: import("vxe-table").VxeTablePropTypes.FooterCellStyle | undefined;
        rowStyle?: import("vxe-table").VxeTablePropTypes.RowStyle | undefined;
        headerRowStyle?: import("vxe-table").VxeTablePropTypes.HeaderRowStyle | undefined;
        footerRowStyle?: import("vxe-table").VxeTablePropTypes.FooterRowStyle | undefined;
        mergeCells?: {
            row: any;
            col: number | {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            };
            rowspan: number;
            colspan: number;
        }[] | undefined;
        mergeFooterItems?: {
            row: any;
            col: number | {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            };
            rowspan: number;
            colspan: number;
        }[] | undefined;
        spanMethod?: import("vxe-table").VxeTablePropTypes.SpanMethod | undefined;
        footerSpanMethod?: import("vxe-table").VxeTablePropTypes.FooterSpanMethod | undefined;
        showOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        showHeaderOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        showFooterOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        columnKey?: boolean | undefined;
        rowKey?: boolean | undefined;
        rowId?: string | undefined;
        keepSource?: boolean | undefined;
        autoResize?: boolean | undefined;
        syncResize?: import("vxe-table").VxeTablePropTypes.SyncResize | undefined;
        columnConfig?: {
            useKey?: boolean | undefined;
            isCurrent?: boolean | undefined;
            isHover?: boolean | undefined;
            resizable?: boolean | undefined;
            width?: import("vxe-table").VxeColumnPropTypes.Width | undefined;
            minWidth?: import("vxe-table").VxeColumnPropTypes.MinWidth | undefined;
            maxWidth?: import("vxe-table").VxeColumnPropTypes.MaxWidth | undefined;
        } | undefined;
        rowConfig?: {
            useKey?: boolean | undefined;
            keyField?: string | undefined;
            isCurrent?: boolean | undefined;
            isHover?: boolean | undefined;
            height?: number | undefined;
        } | undefined;
        customConfig?: {
            storage?: boolean | {
                visible?: boolean | undefined;
                resizable?: boolean | undefined;
            } | undefined;
            checkMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            }) => boolean) | undefined;
        } | undefined;
        resizableConfig?: {
            minWidth?: string | number | ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                $rowIndex: number;
                cell: HTMLElement;
            }) => string | number) | undefined;
            maxWidth?: string | number | ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                $rowIndex: number;
                cell: HTMLElement;
            }) => string | number) | undefined;
        } | undefined;
        seqConfig?: {
            startIndex?: number | undefined;
            seqMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                row: any;
                rowIndex: number;
                $rowIndex: number;
            }) => string | number) | undefined;
        } | undefined;
        sortConfig?: {
            defaultSort?: {
                field: string;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
            } | {
                field: string;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
            }[] | undefined;
            orders?: import("vxe-table").VxeTablePropTypes.SortOrder[] | undefined;
            sortMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                data: any[];
                sortList: import("vxe-table").VxeTableDefines.SortCheckedParams[];
            }) => any[]) | undefined;
            remote?: boolean | undefined;
            multiple?: boolean | undefined;
            chronological?: boolean | undefined;
            trigger?: "default" | "cell" | undefined;
            showIcon?: boolean | undefined;
            iconAsc?: string | undefined;
            iconDesc?: string | undefined;
        } | undefined;
        filterConfig?: {
            filterMethod?: ((params: {
                options: import("vxe-table").VxeTableDefines.FilterOption[];
                values: any[];
                cellValue: any;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            }) => any) | undefined;
            remote?: boolean | undefined;
            showIcon?: boolean | undefined;
            iconNone?: string | undefined;
            iconMatch?: string | undefined;
        } | undefined;
        radioConfig?: {
            reserve?: boolean | undefined;
            labelField?: string | undefined;
            checkRowKey?: string | number | undefined;
            checkMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            visibleMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            highlight?: boolean | undefined;
            strict?: boolean | undefined;
        } | undefined;
        checkboxConfig?: {
            reserve?: boolean | undefined;
            labelField?: string | undefined;
            checkField?: string | undefined;
            halfField?: string | undefined;
            showHeader?: boolean | undefined;
            checkAll?: boolean | undefined;
            checkRowKeys?: string[] | number[] | undefined;
            checkStrictly?: boolean | undefined;
            strict?: boolean | undefined;
            checkMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            visibleMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            highlight?: boolean | undefined;
            range?: boolean | undefined;
        } | undefined;
        tooltipConfig?: {
            showAll?: boolean | undefined;
            theme?: "dark" | "light" | undefined;
            enterable?: boolean | undefined;
            enterDelay?: number | undefined;
            leaveDelay?: number | undefined;
            contentMethod?: ((params: {
                items: any[];
                row: any;
                rowIndex: number;
                $rowIndex: number;
                _rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                _columnIndex: number;
                type: "header" | "footer" | "body";
                cell: HTMLElement;
                $event: any;
            }) => string | void | null) | undefined;
        } | undefined;
        exportConfig?: {
            filename?: string | undefined;
            sheetName?: string | undefined;
            type?: string | undefined;
            types?: string[] | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            original?: boolean | undefined;
            message?: boolean | undefined;
            isHeader?: boolean | undefined;
            isFooter?: boolean | undefined;
            isMerge?: boolean | undefined;
            isColgroup?: boolean | undefined;
            download?: boolean | undefined;
            data?: any[] | undefined;
            columns?: {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            }[] | {
                colid?: number | undefined;
                type?: string | undefined;
                field?: string | undefined;
            }[] | undefined;
            columnFilterMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                $columnIndex: number;
            }) => boolean) | undefined;
            dataFilterMethod?: ((params: {
                row: any;
                $rowIndex: number;
            }) => boolean) | undefined;
            footerFilterMethod?: ((params: {
                items: any[];
                $rowIndex: number;
            }) => boolean) | undefined;
            remote?: boolean | undefined;
            useStyle?: boolean | undefined;
            sheetMethod?: ((params: import("vxe-table").VxeTableDefines.ExtortSheetMethodParams) => void) | undefined;
            exportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                $grid?: import("vxe-table").VxeGridConstructor | undefined;
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => Promise<any>) | undefined;
            beforeExportMethod?: ((params: {
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => void) | undefined;
            afterExportMethod?: ((params: {
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => void) | undefined;
        } | undefined;
        importConfig?: {
            types?: string[] | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            message?: boolean | undefined;
            remote?: boolean | undefined;
            importMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                $grid: import("vxe-table").VxeGridConstructor;
                file: File;
                options: import("vxe-table").VxeTablePropTypes.ImportHandleOptions;
            }) => Promise<any>) | undefined;
            beforeImportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                options: any;
            }) => void) | undefined;
            afterImportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                options: any;
                status: boolean;
            }) => void) | undefined;
        } | undefined;
        printConfig?: {
            sheetName?: string | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            original?: boolean | undefined;
            isHeader?: boolean | undefined;
            isFooter?: boolean | undefined;
            data?: any[] | undefined;
            columns?: {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            }[] | {
                colid?: number | undefined;
                type?: string | undefined;
                field?: string | undefined;
            }[] | undefined;
            style?: string | undefined;
            content?: string | undefined;
            columnFilterMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                $columnIndex: number;
            }) => boolean) | undefined;
            dataFilterMethod?: ((params: {
                row: any;
                $rowIndex: number;
            }) => boolean) | undefined;
            footerFilterMethod?: ((params: {
                items: any[];
                $rowIndex: number;
            }) => boolean) | undefined;
            beforePrintMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor | null;
                content: string;
                options: import("vxe-table").VxeTablePropTypes.PrintHandleOptions;
            }) => string) | undefined;
        } | undefined;
        expandConfig?: {
            labelField?: string | undefined;
            expandAll?: boolean | undefined;
            expandRowKeys?: string[] | number[] | undefined;
            accordion?: boolean | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            lazy?: boolean | undefined;
            reserve?: boolean | undefined;
            height?: number | undefined;
            loadMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                row: any;
                rowIndex: number;
                $rowIndex: number;
            }) => Promise<void>) | undefined;
            toggleMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                expanded: boolean;
                row: any;
                rowIndex: number;
                $rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
            }) => boolean) | undefined;
            visibleMethod?: ((params: import("vxe-table").VxeTableDefines.CellRenderBodyParams) => boolean) | undefined;
            showIcon?: boolean | undefined;
            iconOpen?: string | undefined;
            iconClose?: string | undefined;
            iconLoaded?: string | undefined;
        } | undefined;
        treeConfig?: {
            transform?: boolean | undefined;
            rowField?: string | undefined;
            parentField?: string | undefined;
            children?: string | undefined;
            mapChildren?: string | undefined;
            indent?: number | undefined;
            line?: boolean | undefined;
            expandAll?: boolean | undefined;
            expandRowKeys?: string[] | number[] | undefined;
            accordion?: boolean | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            lazy?: boolean | undefined;
            hasChild?: string | undefined;
            reserve?: boolean | undefined;
            loadMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                row: any;
            }) => Promise<any[]>) | undefined;
            toggleMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                expanded: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
            }) => boolean) | undefined;
            showIcon?: boolean | undefined;
            iconOpen?: string | undefined;
            iconClose?: string | undefined;
            iconLoaded?: string | undefined;
        } | undefined;
        menuConfig?: {
            header?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            body?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            footer?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            trigger?: "default" | "cell" | undefined;
            className?: string | undefined;
            visibleMethod?: ((params: {
                type: string;
                options: import("vxe-table").VxeTableDefines.MenuFirstOption[][];
                columns: import("vxe-table").VxeTableDefines.ColumnInfo[];
                row?: any;
                rowIndex?: number | undefined;
                column?: import("vxe-table").VxeTableDefines.ColumnInfo | undefined;
                columnIndex?: number | undefined;
            }) => boolean) | undefined;
        } | undefined;
        mouseConfig?: {
            selected?: boolean | undefined;
            area?: boolean | undefined;
            extension?: boolean | undefined;
        } | undefined;
        areaConfig?: {
            selectCellByHeader?: boolean | undefined;
            extendByCopy?: boolean | undefined;
            extendByCalc?: boolean | undefined;
            extendCalcMethod?: ((params: import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => any[][]) | undefined;
            extendSetMethod?: ((params: {
                cellValue: any;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            } & import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => void) | undefined;
            beforeExtendSetMethod?: ((params: import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => boolean) | undefined;
            afterExtendSetMethod?: ((params: {
                extendValues: any[][];
            } & import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => boolean) | undefined;
        } | undefined;
        fnrConfig?: {
            isFind?: boolean | undefined;
            findMethod?: ((params: {
                cellValue: any;
                isWhole: boolean;
                isRE: boolean;
                isSensitive: boolean;
                findValue: string | null;
                findRE: RegExp | null;
            }) => boolean) | undefined;
            beforeFindMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterFindMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                result: import("vxe-table").VxeTableProDefines.FindAndReplaceResult[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            isReplace?: boolean | undefined;
            replaceMethod?: ((params: {
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
            }) => void) | undefined;
            beforeReplaceMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                replaceValue: string;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterReplaceMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                replaceValue: string;
                result: import("vxe-table").VxeTableProDefines.FindAndReplaceResult[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
        } | undefined;
        keyboardConfig?: {
            isArrow?: boolean | undefined;
            isEsc?: boolean | undefined;
            isDel?: boolean | undefined;
            isEnter?: boolean | undefined;
            isTab?: boolean | undefined;
            isEdit?: boolean | undefined;
            isMerge?: boolean | undefined;
            isClip?: boolean | undefined;
            isFNR?: boolean | undefined;
            isChecked?: boolean | undefined;
            enterToTab?: boolean | undefined;
            delMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
            }) => void) | undefined;
            backMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
            }) => void) | undefined;
            editMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
        } | undefined;
        clipConfig?: {
            isCopy?: boolean | undefined;
            isCut?: boolean | undefined;
            isPaste?: boolean | undefined;
            isFillPaste?: boolean | undefined;
            isRowIncrement?: boolean | undefined;
            isColumnIncrement?: boolean | undefined;
            copyMethod?: ((params: {
                isCut: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => string) | undefined;
            beforeCopyMethod?: ((params: {
                isCut: boolean;
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterCopyMethod?: ((params: {
                isCut: boolean;
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            cutMethod?: ((params: {
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            beforeCutMethod?: ((params: {
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterCutMethod?: ((params: {
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            pasteMethod?: ((params: {
                isCut: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            beforePasteMethod?: ((params: {
                isCut: boolean;
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: string[][];
                pasteCells: string[][];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterPasteMethod?: ((params: {
                isCut: boolean;
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertRows: any[];
                insertColumns: import("vxe-table").VxeTableDefines.ColumnInfo[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            createRowsMethod?: ((params: {
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertRows: any[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => any[]) | undefined;
            createColumnsMethod?: ((params: {
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertColumns: import("vxe-table").VxeTableDefines.ColumnOptions[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => import("vxe-table").VxeTableDefines.ColumnOptions[]) | undefined;
        } | undefined;
        editConfig?: {
            trigger?: "manual" | "click" | "dblclick" | undefined;
            enabled?: boolean | undefined;
            mode?: string | undefined;
            icon?: string | undefined;
            showIcon?: boolean | undefined;
            showStatus?: boolean | undefined;
            showUpdateStatus?: boolean | undefined;
            showInsertStatus?: boolean | undefined;
            showAsterisk?: boolean | undefined;
            autoClear?: boolean | undefined;
            beforeEditMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            activeMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
        } | undefined;
        validConfig?: {
            autoPos?: boolean | undefined;
            showMessage?: boolean | undefined;
            message?: string | undefined;
            maxWidth?: number | undefined;
        } | undefined;
        editRules?: import("vxe-table").VxeTablePropTypes.EditRules | undefined;
        emptyText?: string | undefined;
        emptyRender?: {
            name?: string | undefined;
            props?: {
                [key: string]: any;
            } | undefined;
            attrs?: {
                [key: string]: any;
            } | undefined;
            events?: {
                [key: string]: Function;
            } | undefined;
            children?: any[] | undefined;
            cellType?: "string" | "number" | undefined;
        } | undefined;
        loadingConfig?: {
            icon?: string | undefined;
            text?: string | undefined;
        } | undefined;
        fit?: boolean | undefined;
        animat?: boolean | undefined;
        delayHover?: number | undefined;
        scrollX?: {
            gt?: number | undefined;
            oSize?: number | undefined;
            enabled?: boolean | undefined;
            scrollToLeftOnChange?: boolean | undefined;
        } | undefined;
        scrollY?: {
            mode?: "default" | "wheel" | undefined;
            gt?: number | undefined;
            oSize?: number | undefined;
            enabled?: boolean | undefined;
            scrollToTopOnChange?: boolean | undefined;
            rHeight?: number | undefined;
            adaptive?: boolean | undefined;
        } | undefined;
        params?: any;
        columns?: {
            children?: any[] | undefined;
            slots?: {
                title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
            } | undefined;
            colId?: import("vxe-table").VxeColumnPropTypes.ColId | undefined;
            type?: import("vxe-table").VxeColumnPropTypes.Type | undefined;
            field?: string | undefined;
            title?: string | undefined;
            width?: import("vxe-table").VxeColumnPropTypes.Width | undefined;
            minWidth?: import("vxe-table").VxeColumnPropTypes.MinWidth | undefined;
            maxWidth?: import("vxe-table").VxeColumnPropTypes.MaxWidth | undefined;
            resizable?: boolean | undefined;
            fixed?: import("vxe-table").VxeColumnPropTypes.Fixed | undefined;
            align?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            headerAlign?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            footerAlign?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            showOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            showHeaderOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            showFooterOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            className?: import("vxe-table").VxeColumnPropTypes.ClassName | undefined;
            headerClassName?: import("vxe-table").VxeColumnPropTypes.HeaderClassName | undefined;
            footerClassName?: import("vxe-table").VxeColumnPropTypes.FooterClassName | undefined;
            formatter?: import("vxe-table").VxeColumnPropTypes.Formatter | undefined;
            sortable?: boolean | undefined;
            sortBy?: import("vxe-table").VxeColumnPropTypes.SortBy | undefined;
            sortType?: import("vxe-table").VxeColumnPropTypes.SortType | undefined;
            filters?: {
                label?: string | number | undefined;
                value?: any;
                data?: any;
                resetValue?: any;
                checked?: boolean | undefined;
            }[] | undefined;
            filterMultiple?: boolean | undefined;
            filterMethod?: import("vxe-table").VxeColumnPropTypes.FilterMethod | undefined;
            filterRender?: {
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                content?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                events?: {
                    [key: string]: Function;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            treeNode?: boolean | undefined;
            visible?: boolean | undefined;
            exportMethod?: import("vxe-table").VxeColumnPropTypes.ExportMethod | undefined;
            footerExportMethod?: import("vxe-table").VxeColumnPropTypes.FooterExportMethod | undefined;
            titleHelp?: {
                useHTML?: boolean | undefined;
                content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                enterable?: boolean | undefined;
                theme?: string | undefined;
                icon?: string | undefined;
                message?: string | undefined;
            } | undefined;
            titlePrefix?: {
                useHTML?: boolean | undefined;
                content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                enterable?: boolean | undefined;
                theme?: string | undefined;
                icon?: string | undefined;
                message?: string | undefined;
            } | undefined;
            cellType?: import("vxe-table").VxeColumnPropTypes.CellType | undefined;
            cellRender?: {
                events?: {
                    [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                } | undefined;
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                content?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            editRender?: {
                events?: {
                    [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                } | undefined;
                enabled?: boolean | undefined;
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                autofocus?: string | undefined;
                autoselect?: boolean | undefined;
                defaultValue?: string | number | object | any[] | ((params: {
                    column: import("vxe-table").VxeTableDefines.ColumnInfo;
                }) => any) | {
                    exec: (string: string) => RegExpExecArray | null;
                    test: (string: string) => boolean;
                    readonly source: string;
                    readonly global: boolean;
                    readonly ignoreCase: boolean;
                    readonly multiline: boolean;
                    lastIndex: number;
                    compile: (pattern: string, flags?: string | undefined) => RegExp;
                    readonly flags: string;
                    readonly sticky: boolean;
                    readonly unicode: boolean;
                    readonly dotAll: boolean;
                    [Symbol.match]: (string: string) => RegExpMatchArray | null;
                    [Symbol.replace]: {
                        (string: string, replaceValue: string): string;
                        (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                    };
                    [Symbol.search]: (string: string) => number;
                    [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                    [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                } | {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                } | null | undefined;
                immediate?: boolean | undefined;
                content?: string | undefined;
                placeholder?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            contentRender?: {
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                events?: {
                    [key: string]: Function;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            params?: any;
        }[] | undefined;
        pagerConfig?: {
            enabled?: boolean | undefined;
            slots?: any;
            size?: import("vxe-table").SizeType | undefined;
            layouts?: ("PrevJump" | "PrevPage" | "Number" | "JumpNumber" | "NextPage" | "NextJump" | "Sizes" | "Jump" | "FullJump" | "PageCount" | "Total")[] | undefined;
            currentPage?: number | undefined;
            loading?: boolean | undefined;
            pageSize?: number | undefined;
            total?: number | undefined;
            pagerCount?: number | undefined;
            pageSizes?: (number | {
                label?: string | number | undefined;
                value?: string | number | undefined;
            })[] | undefined;
            align?: string | undefined;
            border?: boolean | undefined;
            background?: boolean | undefined;
            perfect?: boolean | undefined;
            autoHidden?: boolean | undefined;
            transfer?: boolean | undefined;
            className?: import("vxe-table").VxePagerPropTypes.ClassName | undefined;
            iconPrevPage?: string | undefined;
            iconJumpPrev?: string | undefined;
            iconJumpNext?: string | undefined;
            iconNextPage?: string | undefined;
            iconJumpMore?: string | undefined;
            pageKey?: string | undefined;
            pageSizeKey?: string | undefined;
        } | undefined;
        proxyConfig?: {
            [x: string]: any;
            enabled?: boolean | undefined;
            autoLoad?: boolean | undefined;
            message?: boolean | undefined;
            seq?: boolean | undefined;
            sort?: boolean | undefined;
            filter?: boolean | undefined;
            form?: boolean | undefined;
            props?: {
                list?: string | null | undefined;
                result?: string | undefined;
                total?: string | undefined;
                message?: string | undefined;
            } | undefined;
            ajax?: {
                query?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxQueryParams, ...args: any[]) => Promise<any>) | undefined;
                queryAll?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxQueryAllParams, ...args: any[]) => Promise<any>) | undefined;
                delete?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxDeleteParams, ...args: any[]) => Promise<any>) | undefined;
                save?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxSaveParams, ...args: any[]) => Promise<any>) | undefined;
            } | undefined;
        } | undefined;
        toolbarConfig?: {
            enabled?: boolean | undefined;
            buttons?: any[] | undefined;
            zoom?: boolean | {
                escRestore?: boolean | undefined;
                iconIn?: string | undefined;
                iconOut?: string | undefined;
            } | undefined;
            slots?: {
                buttons?: string | ((params: {}) => string[] | JSX.Element | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[] | JSX.Element[]) | undefined;
                tools?: string | ((params: {}) => string[] | JSX.Element | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[] | JSX.Element[]) | undefined;
            } | undefined;
            size?: import("vxe-table").SizeType | undefined;
            id?: string | undefined;
            loading?: boolean | undefined;
            resizable?: boolean | {
                storage?: boolean | undefined;
            } | undefined;
            refresh?: boolean | {
                queryMethod?: ((params: {}) => Promise<any>) | undefined;
                code?: "query" | "reload" | undefined;
                icon?: string | undefined;
                iconLoading?: string | undefined;
                query?: ((params: {}) => Promise<any>) | undefined;
            } | undefined;
            import?: boolean | {
                icon?: string | undefined;
            } | undefined;
            export?: boolean | {
                icon?: string | undefined;
            } | undefined;
            print?: boolean | {
                icon?: string | undefined;
            } | undefined;
            custom?: boolean | {
                trigger?: string | undefined;
                immediate?: boolean | undefined;
                storage?: boolean | undefined;
                checkMethod?: ((params: {
                    column: import("vxe-table").VxeTableDefines.ColumnInfo;
                }) => boolean) | undefined;
                isFooter?: {
                    valueOf: () => boolean;
                } | undefined;
                icon?: string | undefined;
            } | undefined;
            tools?: {
                dropdowns?: any[] | undefined;
                toolRender?: {
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                } | undefined;
                code?: string | undefined;
                visible?: boolean | undefined;
                params?: any;
                size?: import("vxe-table").SizeType | undefined;
                type?: string | undefined;
                className?: string | undefined;
                name?: import("vxe-table").VxeButtonPropTypes.Name | undefined;
                content?: string | undefined;
                placement?: string | undefined;
                status?: string | undefined;
                icon?: string | undefined;
                round?: boolean | undefined;
                circle?: boolean | undefined;
                disabled?: boolean | undefined;
                loading?: boolean | undefined;
                destroyOnClose?: boolean | undefined;
                transfer?: boolean | undefined;
            }[] | undefined;
            perfect?: boolean | undefined;
            className?: import("vxe-table").VxeToolbarPropTypes.ClassName | undefined;
        } | undefined;
        formConfig?: {
            enabled?: boolean | undefined;
            items?: {
                title?: string | undefined;
                field?: string | undefined;
                span?: import("vxe-table").VxeFormPropTypes.Span | undefined;
                align?: import("vxe-table").VxeFormPropTypes.Align | undefined;
                titleAlign?: import("vxe-table").VxeFormPropTypes.Align | undefined;
                titleWidth?: import("vxe-table").VxeFormPropTypes.TitleWidth | undefined;
                titleColon?: boolean | undefined;
                titleAsterisk?: boolean | undefined;
                className?: import("vxe-table").VxeFormItemPropTypes.ClassName | undefined;
                titlePrefix?: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                } | undefined;
                titleSuffix?: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                } | undefined;
                titleOverflow?: import("vxe-table").VxeFormPropTypes.TitleOverflow | undefined;
                resetValue?: any;
                visible?: boolean | undefined;
                visibleMethod?: import("vxe-table").VxeFormItemPropTypes.VisibleMethod | undefined;
                folding?: boolean | undefined;
                collapseNode?: boolean | undefined;
                itemRender?: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    autofocus?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | ((params: {
                        item: import("vxe-table").VxeFormItemProps;
                    }) => any) | null | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                } | undefined;
                slots?: {
                    title?: string | ((params: import("vxe-table").FormItemTitleRenderParams) => string[] | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[] | JSX.Element[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").FormItemContentRenderParams) => string[] | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[] | JSX.Element[]) | null | undefined;
                } | undefined;
                children?: any[] | undefined;
            }[] | undefined;
            size?: import("vxe-table").SizeType | undefined;
            collapseStatus?: boolean | undefined;
            loading?: boolean | undefined;
            data?: any;
            span?: import("vxe-table").VxeFormPropTypes.Span | undefined;
            align?: import("vxe-table").VxeFormPropTypes.Align | undefined;
            titleAlign?: import("vxe-table").VxeFormPropTypes.Align | undefined;
            titleWidth?: import("vxe-table").VxeFormPropTypes.TitleWidth | undefined;
            titleColon?: boolean | undefined;
            titleAsterisk?: boolean | undefined;
            titleOverflow?: import("vxe-table").VxeFormPropTypes.TitleOverflow | undefined;
            className?: import("vxe-table").VxeFormPropTypes.ClassName | undefined;
            readonly?: boolean | undefined;
            rules?: import("vxe-table").VxeFormPropTypes.Rules | undefined;
            preventSubmit?: boolean | undefined;
            validConfig?: {
                autoPos?: boolean | undefined;
                showMessage?: boolean | undefined;
            } | undefined;
            tooltipConfig?: {
                theme?: "dark" | "light" | undefined;
                enterable?: boolean | undefined;
                leaveDelay?: number | undefined;
                leaveMethod?: ((params: {
                    $event: Event;
                }) => boolean) | undefined;
            } | undefined;
            customLayout?: boolean | undefined;
        } | undefined;
        zoomConfig?: {
            escRestore?: boolean | undefined;
        } | undefined;
        onKeydown?: import("vxe-table").VxeGridEvents.Keydown | undefined;
        onPaste?: import("vxe-table").VxeGridEvents.Paste | undefined;
        onCopy?: import("vxe-table").VxeGridEvents.Copy | undefined;
        onCut?: import("vxe-table").VxeGridEvents.Cut | undefined;
        onCurrentChange?: import("vxe-table").VxeGridEvents.CurrentChange | undefined;
        onRadioChange?: import("vxe-table").VxeGridEvents.RadioChange | undefined;
        onCheckboxChange?: import("vxe-table").VxeGridEvents.CheckboxChange | undefined;
        onCheckboxAll?: import("vxe-table").VxeGridEvents.CheckboxAll | undefined;
        onCheckboxRangeStart?: import("vxe-table").VxeGridEvents.CheckboxRangeStart | undefined;
        onCheckboxRangeChange?: import("vxe-table").VxeGridEvents.CheckboxRangeChange | undefined;
        onCheckboxRangeEnd?: import("vxe-table").VxeGridEvents.CheckboxRangeEnd | undefined;
        onCellClick?: import("vxe-table").VxeGridEvents.CellClick | undefined;
        onCellDblclick?: import("vxe-table").VxeGridEvents.CellDblclick | undefined;
        onCellMenu?: import("vxe-table").VxeGridEvents.CellMenu | undefined;
        onCellMouseenter?: import("vxe-table").VxeGridEvents.CellMouseenter | undefined;
        onCellMouseleave?: import("vxe-table").VxeGridEvents.CellMouseleave | undefined;
        onHeaderCellClick?: import("vxe-table").VxeGridEvents.HeaderCellClick | undefined;
        onHeaderCellDblclick?: import("vxe-table").VxeGridEvents.HeaderCellDblclick | undefined;
        onHeaderCellMenu?: import("vxe-table").VxeGridEvents.HeaderCellMenu | undefined;
        onFooterCellClick?: import("vxe-table").VxeGridEvents.FooterCellClick | undefined;
        onFooterCellDblclick?: import("vxe-table").VxeGridEvents.FooterCellDblclick | undefined;
        onFooterCellMenu?: import("vxe-table").VxeGridEvents.FooterCellMenu | undefined;
        onSortChange?: import("vxe-table").VxeGridEvents.SortChange | undefined;
        onFilterChange?: import("vxe-table").VxeGridEvents.FilterChange | undefined;
        onFilterVisible?: import("vxe-table").VxeGridEvents.FilterVisible | undefined;
        onResizableChange?: import("vxe-table").VxeGridEvents.ResizableChange | undefined;
        onToggleRowExpand?: import("vxe-table").VxeGridEvents.ToggleRowExpand | undefined;
        onToggleTreeExpand?: import("vxe-table").VxeGridEvents.ToggleTreeExpand | undefined;
        onMenuClick?: import("vxe-table").VxeGridEvents.MenuClick | undefined;
        onEditClosed?: import("vxe-table").VxeGridEvents.EditClosed | undefined;
        onEditActived?: import("vxe-table").VxeGridEvents.EditActived | undefined;
        onEditDisabled?: import("vxe-table").VxeGridEvents.EditDisabled | undefined;
        onValidError?: import("vxe-table").VxeGridEvents.ValidError | undefined;
        onScroll?: import("vxe-table").VxeGridEvents.Scroll | undefined;
        onCustom?: import("vxe-table").VxeGridEvents.Custom | undefined;
        onPageChange?: import("vxe-table").VxeGridEvents.PageChange | undefined;
        onFormSubmit?: import("vxe-table").VxeGridEvents.FormSubmit | undefined;
        onFormSubmitInvalid?: import("vxe-table").VxeGridEvents.FormSubmitInvalid | undefined;
        onFormReset?: import("vxe-table").VxeGridEvents.FormReset | undefined;
        onFormCollapse?: import("vxe-table").VxeGridEvents.FormCollapse | undefined;
        onToolbarButtonClick?: import("vxe-table").VxeGridEvents.ToolbarButtonClick | undefined;
        onToolbarToolClick?: import("vxe-table").VxeGridEvents.ToolbarToolClick | undefined;
        onZoom?: import("vxe-table").VxeGridEvents.Zoom | undefined;
        onOpenFnr?: import("vxe-table").VxeGridEvents.OpenFnr | undefined;
        onFnrChange?: import("vxe-table").VxeGridEvents.FnrChange | undefined;
        onFnrFind?: import("vxe-table").VxeGridEvents.FnrFind | undefined;
        onFnrFindAll?: import("vxe-table").VxeGridEvents.FnrFindAll | undefined;
        onFnrReplace?: import("vxe-table").VxeGridEvents.FnrReplace | undefined;
        onFnrReplaceAll?: import("vxe-table").VxeGridEvents.FnrReplaceAll | undefined;
        onCellAreaCopy?: import("vxe-table").VxeGridEvents.CellAreaCopy | undefined;
        onCellAreaCut?: import("vxe-table").VxeGridEvents.CellAreaCut | undefined;
        onCellAreaPaste?: import("vxe-table").VxeGridEvents.CellAreaPaste | undefined;
        onCellAreaMerge?: import("vxe-table").VxeGridEvents.CellAreaMerge | undefined;
        onClearCellAreaMerge?: import("vxe-table").VxeGridEvents.ClearCellAreaMerge | undefined;
        onHeaderCellAreaSelection?: import("vxe-table").VxeGridEvents.HeaderCellAreaSelection | undefined;
        onCellAreaSelectionStart?: import("vxe-table").VxeGridEvents.CellAreaSelectionStart | undefined;
        onCellAreaSelectionDrag?: import("vxe-table").VxeGridEvents.CellAreaSelectionDrag | undefined;
        onCellAreaSelectionEnd?: import("vxe-table").VxeGridEvents.CellAreaSelectionEnd | undefined;
        onCellAreaExtensionStart?: import("vxe-table").VxeGridEvents.CellAreaExtensionStart | undefined;
        onCellAreaExtensionDrag?: import("vxe-table").VxeGridEvents.CellAreaExtensionDrag | undefined;
        onCellAreaExtensionEnd?: import("vxe-table").VxeGridEvents.CellAreaExtensionEnd | undefined;
        onCellAreaArrowsStart?: import("vxe-table").VxeGridEvents.CellAreaArrowsStart | undefined;
        onCellAreaArrowsEnd?: import("vxe-table").VxeGridEvents.CellAreaArrowsEnd | undefined;
        onActiveCellChangeStart?: import("vxe-table").VxeGridEvents.ActiveCellChangeStart | undefined;
        onActiveCellChangeEnd?: import("vxe-table").VxeGridEvents.ActiveCellChangeEnd | undefined;
        filters?: unknown;
    };
    tableLoading: boolean;
    fetchData: (data?: Record<string, unknown>) => void;
    Table: Base.BaseTable<R>;
};
/**
 * crud表格
 * @param options 表格选项参数
 */
export declare function useTableWithCrud<QR = any, CR = any, DR = any, UR = any>(options: Config.CrudTableOptions<Config.BaseOptions, QR, CR, DR, UR>): {
    tableOptions: {
        api?: {
            query?: {
                fn: () => Promise<any>;
                hooks?: {
                    before?: (<T extends Record<string, any> = any, BR extends Record<string, any>>(params: T) => BR) | undefined;
                    success?: ((result: any, $options: Config.BaseOptions) => void) | undefined;
                    error?: ((result: any, $options: Config.BaseOptions) => void) | undefined;
                } | undefined;
            } | undefined;
        } | undefined;
        size?: import("vxe-table").SizeType | undefined;
        id?: string | undefined;
        data?: any[] | undefined;
        height?: import("vxe-table").VxeTablePropTypes.Height | undefined;
        maxHeight?: import("vxe-table").VxeTablePropTypes.MaxHeight | undefined;
        resizable?: boolean | undefined;
        stripe?: boolean | undefined;
        round?: boolean | undefined;
        border?: import("vxe-table").VxeTablePropTypes.Border | undefined;
        loading?: boolean | undefined;
        align?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        headerAlign?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        footerAlign?: import("vxe-table").VxeTablePropTypes.Align | undefined;
        showHeader?: boolean | undefined;
        highlightCurrentRow?: boolean | undefined;
        highlightHoverRow?: boolean | undefined;
        highlightCurrentColumn?: boolean | undefined;
        highlightHoverColumn?: boolean | undefined;
        highlightCell?: boolean | undefined;
        showFooter?: boolean | undefined;
        footerMethod?: import("vxe-table").VxeTablePropTypes.FooterMethod | undefined;
        rowClassName?: import("vxe-table").VxeTablePropTypes.RowClassName | undefined;
        cellClassName?: import("vxe-table").VxeTablePropTypes.CellClassName | undefined;
        headerRowClassName?: import("vxe-table").VxeTablePropTypes.HeaderRowClassName | undefined;
        headerCellClassName?: import("vxe-table").VxeTablePropTypes.HeaderCellClassName | undefined;
        footerRowClassName?: import("vxe-table").VxeTablePropTypes.FooterRowClassName | undefined;
        footerCellClassName?: import("vxe-table").VxeTablePropTypes.FooterCellClassName | undefined;
        cellStyle?: import("vxe-table").VxeTablePropTypes.CellStyle | undefined;
        headerCellStyle?: import("vxe-table").VxeTablePropTypes.HeaderCellStyle | undefined;
        footerCellStyle?: import("vxe-table").VxeTablePropTypes.FooterCellStyle | undefined;
        rowStyle?: import("vxe-table").VxeTablePropTypes.RowStyle | undefined;
        headerRowStyle?: import("vxe-table").VxeTablePropTypes.HeaderRowStyle | undefined;
        footerRowStyle?: import("vxe-table").VxeTablePropTypes.FooterRowStyle | undefined;
        mergeCells?: {
            row: any;
            col: number | {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            };
            rowspan: number;
            colspan: number;
        }[] | undefined;
        mergeFooterItems?: {
            row: any;
            col: number | {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            };
            rowspan: number;
            colspan: number;
        }[] | undefined;
        spanMethod?: import("vxe-table").VxeTablePropTypes.SpanMethod | undefined;
        footerSpanMethod?: import("vxe-table").VxeTablePropTypes.FooterSpanMethod | undefined;
        showOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        showHeaderOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        showFooterOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
        columnKey?: boolean | undefined;
        rowKey?: boolean | undefined;
        rowId?: string | undefined;
        keepSource?: boolean | undefined;
        autoResize?: boolean | undefined;
        syncResize?: import("vxe-table").VxeTablePropTypes.SyncResize | undefined;
        columnConfig?: {
            useKey?: boolean | undefined;
            isCurrent?: boolean | undefined;
            isHover?: boolean | undefined;
            resizable?: boolean | undefined;
            width?: import("vxe-table").VxeColumnPropTypes.Width | undefined;
            minWidth?: import("vxe-table").VxeColumnPropTypes.MinWidth | undefined;
            maxWidth?: import("vxe-table").VxeColumnPropTypes.MaxWidth | undefined;
        } | undefined;
        rowConfig?: {
            useKey?: boolean | undefined;
            keyField?: string | undefined;
            isCurrent?: boolean | undefined;
            isHover?: boolean | undefined;
            height?: number | undefined;
        } | undefined;
        customConfig?: {
            storage?: boolean | {
                visible?: boolean | undefined;
                resizable?: boolean | undefined;
            } | undefined;
            checkMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            }) => boolean) | undefined;
        } | undefined;
        resizableConfig?: {
            minWidth?: string | number | ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                $rowIndex: number;
                cell: HTMLElement;
            }) => string | number) | undefined;
            maxWidth?: string | number | ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                $rowIndex: number;
                cell: HTMLElement;
            }) => string | number) | undefined;
        } | undefined;
        seqConfig?: {
            startIndex?: number | undefined;
            seqMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                row: any;
                rowIndex: number;
                $rowIndex: number;
            }) => string | number) | undefined;
        } | undefined;
        sortConfig?: {
            defaultSort?: {
                field: string;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
            } | {
                field: string;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
            }[] | undefined;
            orders?: import("vxe-table").VxeTablePropTypes.SortOrder[] | undefined;
            sortMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                data: any[];
                sortList: import("vxe-table").VxeTableDefines.SortCheckedParams[];
            }) => any[]) | undefined;
            remote?: boolean | undefined;
            multiple?: boolean | undefined;
            chronological?: boolean | undefined;
            trigger?: "default" | "cell" | undefined;
            showIcon?: boolean | undefined;
            iconAsc?: string | undefined;
            iconDesc?: string | undefined;
        } | undefined;
        filterConfig?: {
            filterMethod?: ((params: {
                options: import("vxe-table").VxeTableDefines.FilterOption[];
                values: any[];
                cellValue: any;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            }) => any) | undefined;
            remote?: boolean | undefined;
            showIcon?: boolean | undefined;
            iconNone?: string | undefined;
            iconMatch?: string | undefined;
        } | undefined;
        radioConfig?: {
            reserve?: boolean | undefined;
            labelField?: string | undefined;
            checkRowKey?: string | number | undefined;
            checkMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            visibleMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            highlight?: boolean | undefined;
            strict?: boolean | undefined;
        } | undefined;
        checkboxConfig?: {
            reserve?: boolean | undefined;
            labelField?: string | undefined;
            checkField?: string | undefined;
            halfField?: string | undefined;
            showHeader?: boolean | undefined;
            checkAll?: boolean | undefined;
            checkRowKeys?: string[] | number[] | undefined;
            checkStrictly?: boolean | undefined;
            strict?: boolean | undefined;
            checkMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            visibleMethod?: ((params: {
                row: any;
            }) => boolean) | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            highlight?: boolean | undefined;
            range?: boolean | undefined;
        } | undefined;
        tooltipConfig?: {
            showAll?: boolean | undefined;
            theme?: "dark" | "light" | undefined;
            enterable?: boolean | undefined;
            enterDelay?: number | undefined;
            leaveDelay?: number | undefined;
            contentMethod?: ((params: {
                items: any[];
                row: any;
                rowIndex: number;
                $rowIndex: number;
                _rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
                _columnIndex: number;
                type: "header" | "footer" | "body";
                cell: HTMLElement;
                $event: any;
            }) => string | void | null) | undefined;
        } | undefined;
        exportConfig?: {
            filename?: string | undefined;
            sheetName?: string | undefined;
            type?: string | undefined;
            types?: string[] | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            original?: boolean | undefined;
            message?: boolean | undefined;
            isHeader?: boolean | undefined;
            isFooter?: boolean | undefined;
            isMerge?: boolean | undefined;
            isColgroup?: boolean | undefined;
            download?: boolean | undefined;
            data?: any[] | undefined;
            columns?: {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            }[] | {
                colid?: number | undefined;
                type?: string | undefined;
                field?: string | undefined;
            }[] | undefined;
            columnFilterMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                $columnIndex: number;
            }) => boolean) | undefined;
            dataFilterMethod?: ((params: {
                row: any;
                $rowIndex: number;
            }) => boolean) | undefined;
            footerFilterMethod?: ((params: {
                items: any[];
                $rowIndex: number;
            }) => boolean) | undefined;
            remote?: boolean | undefined;
            useStyle?: boolean | undefined;
            sheetMethod?: ((params: import("vxe-table").VxeTableDefines.ExtortSheetMethodParams) => void) | undefined;
            exportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                $grid?: import("vxe-table").VxeGridConstructor | undefined;
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => Promise<any>) | undefined;
            beforeExportMethod?: ((params: {
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => void) | undefined;
            afterExportMethod?: ((params: {
                options: import("vxe-table").VxeTablePropTypes.ExportHandleOptions;
            }) => void) | undefined;
        } | undefined;
        importConfig?: {
            types?: string[] | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            message?: boolean | undefined;
            remote?: boolean | undefined;
            importMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                $grid: import("vxe-table").VxeGridConstructor;
                file: File;
                options: import("vxe-table").VxeTablePropTypes.ImportHandleOptions;
            }) => Promise<any>) | undefined;
            beforeImportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                options: any;
            }) => void) | undefined;
            afterImportMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor;
                options: any;
                status: boolean;
            }) => void) | undefined;
        } | undefined;
        printConfig?: {
            sheetName?: string | undefined;
            mode?: string | undefined;
            modes?: string[] | undefined;
            original?: boolean | undefined;
            isHeader?: boolean | undefined;
            isFooter?: boolean | undefined;
            data?: any[] | undefined;
            columns?: {
                property: string;
                type: import("vxe-table").VxeColumnPropTypes.Type;
                field: string;
                title: string;
                width: import("vxe-table").VxeColumnPropTypes.Width;
                minWidth: import("vxe-table").VxeColumnPropTypes.MinWidth;
                maxWidth: import("vxe-table").VxeColumnPropTypes.MaxWidth;
                resizable: boolean;
                fixed: import("vxe-table").VxeColumnPropTypes.Fixed;
                align: import("vxe-table").VxeColumnPropTypes.Align;
                headerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                footerAlign: import("vxe-table").VxeColumnPropTypes.Align;
                showOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showHeaderOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                showFooterOverflow: import("vxe-table").VxeTablePropTypes.ShowOverflow;
                className: import("vxe-table").VxeColumnPropTypes.ClassName;
                headerClassName: import("vxe-table").VxeColumnPropTypes.HeaderClassName;
                footerClassName: import("vxe-table").VxeColumnPropTypes.FooterClassName;
                formatter: import("vxe-table").VxeColumnPropTypes.Formatter;
                sortable: boolean;
                sortBy: import("vxe-table").VxeColumnPropTypes.SortBy;
                sortType: import("vxe-table").VxeColumnPropTypes.SortType;
                filters: {
                    label?: string | number | undefined;
                    value?: any;
                    data?: any;
                    resetValue?: any;
                    checked?: boolean | undefined;
                }[];
                filterMultiple: boolean;
                filterMethod: import("vxe-table").VxeColumnPropTypes.FilterMethod;
                filterRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                treeNode: boolean;
                visible: boolean;
                exportMethod: import("vxe-table").VxeColumnPropTypes.ExportMethod;
                footerExportMethod: import("vxe-table").VxeColumnPropTypes.FooterExportMethod;
                titleHelp: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                titlePrefix: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                };
                cellType: import("vxe-table").VxeColumnPropTypes.CellType;
                cellRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                    } | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                editRender: {
                    events?: {
                        [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                    } | undefined;
                    enabled?: boolean | undefined;
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    autofocus?: string | undefined;
                    autoselect?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | ((params: {
                        column: import("vxe-table").VxeTableDefines.ColumnInfo;
                    }) => any) | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | null | undefined;
                    immediate?: boolean | undefined;
                    content?: string | undefined;
                    placeholder?: string | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                contentRender: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                };
                params: any;
                slots: {
                    title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                    icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                };
                id: string;
                parentId: string;
                level: number;
                rowSpan: number;
                colSpan: number;
                halfVisible: boolean;
                defaultVisible: any;
                checked: boolean;
                halfChecked: boolean;
                disabled: boolean;
                order: import("vxe-table").VxeTablePropTypes.SortOrder;
                sortTime: number;
                renderWidth: number;
                renderHeight: number;
                resizeWidth: number;
                model: {
                    update: boolean;
                    value: any;
                };
                children: any[];
                renderHeader: (params: import("vxe-table").VxeTableDefines.CellRenderHeaderParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderCell: (params: import("vxe-table").VxeTableDefines.CellRenderCellParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderData: (params: import("vxe-table").VxeTableDefines.CellRenderDataParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                renderFooter: (params: import("vxe-table").VxeTableDefines.CellRenderFooterParams) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[];
                getTitle: () => string;
                getKey: () => string;
            }[] | {
                colid?: number | undefined;
                type?: string | undefined;
                field?: string | undefined;
            }[] | undefined;
            style?: string | undefined;
            content?: string | undefined;
            columnFilterMethod?: ((params: {
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                $columnIndex: number;
            }) => boolean) | undefined;
            dataFilterMethod?: ((params: {
                row: any;
                $rowIndex: number;
            }) => boolean) | undefined;
            footerFilterMethod?: ((params: {
                items: any[];
                $rowIndex: number;
            }) => boolean) | undefined;
            beforePrintMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor | null;
                content: string;
                options: import("vxe-table").VxeTablePropTypes.PrintHandleOptions;
            }) => string) | undefined;
        } | undefined;
        expandConfig?: {
            labelField?: string | undefined;
            expandAll?: boolean | undefined;
            expandRowKeys?: string[] | number[] | undefined;
            accordion?: boolean | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            lazy?: boolean | undefined;
            reserve?: boolean | undefined;
            height?: number | undefined;
            loadMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                row: any;
                rowIndex: number;
                $rowIndex: number;
            }) => Promise<void>) | undefined;
            toggleMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                expanded: boolean;
                row: any;
                rowIndex: number;
                $rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
            }) => boolean) | undefined;
            visibleMethod?: ((params: import("vxe-table").VxeTableDefines.CellRenderBodyParams) => boolean) | undefined;
            showIcon?: boolean | undefined;
            iconOpen?: string | undefined;
            iconClose?: string | undefined;
            iconLoaded?: string | undefined;
        } | undefined;
        treeConfig?: {
            transform?: boolean | undefined;
            rowField?: string | undefined;
            parentField?: string | undefined;
            children?: string | undefined;
            mapChildren?: string | undefined;
            indent?: number | undefined;
            line?: boolean | undefined;
            expandAll?: boolean | undefined;
            expandRowKeys?: string[] | number[] | undefined;
            accordion?: boolean | undefined;
            trigger?: "default" | "row" | "cell" | undefined;
            lazy?: boolean | undefined;
            hasChild?: string | undefined;
            reserve?: boolean | undefined;
            loadMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                row: any;
            }) => Promise<any[]>) | undefined;
            toggleMethod?: ((params: {
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                expanded: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $columnIndex: number;
            }) => boolean) | undefined;
            showIcon?: boolean | undefined;
            iconOpen?: string | undefined;
            iconClose?: string | undefined;
            iconLoaded?: string | undefined;
        } | undefined;
        menuConfig?: {
            header?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            body?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            footer?: {
                disabled?: boolean | undefined;
                options?: {
                    [x: string]: any;
                    code?: string | undefined;
                    name?: string | undefined;
                    prefixIcon?: string | undefined;
                    suffixIcon?: string | undefined;
                    className?: string | undefined;
                    visible?: boolean | undefined;
                    disabled?: boolean | undefined;
                    children?: {
                        [x: string]: any;
                        code?: string | undefined;
                        name?: string | undefined;
                        prefixIcon?: string | undefined;
                        className?: string | undefined;
                        visible?: boolean | undefined;
                        disabled?: boolean | undefined;
                        params?: any;
                    }[] | undefined;
                    params?: any;
                }[][] | undefined;
            } | undefined;
            trigger?: "default" | "cell" | undefined;
            className?: string | undefined;
            visibleMethod?: ((params: {
                type: string;
                options: import("vxe-table").VxeTableDefines.MenuFirstOption[][];
                columns: import("vxe-table").VxeTableDefines.ColumnInfo[];
                row?: any;
                rowIndex?: number | undefined;
                column?: import("vxe-table").VxeTableDefines.ColumnInfo | undefined;
                columnIndex?: number | undefined;
            }) => boolean) | undefined;
        } | undefined;
        mouseConfig?: {
            selected?: boolean | undefined;
            area?: boolean | undefined;
            extension?: boolean | undefined;
        } | undefined;
        areaConfig?: {
            selectCellByHeader?: boolean | undefined;
            extendByCopy?: boolean | undefined;
            extendByCalc?: boolean | undefined;
            extendCalcMethod?: ((params: import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => any[][]) | undefined;
            extendSetMethod?: ((params: {
                cellValue: any;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
            } & import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => void) | undefined;
            beforeExtendSetMethod?: ((params: import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => boolean) | undefined;
            afterExtendSetMethod?: ((params: {
                extendValues: any[][];
            } & import("vxe-table").VxeTableProDefines.ExtendCellAreaCalcBaseParams) => boolean) | undefined;
        } | undefined;
        fnrConfig?: {
            isFind?: boolean | undefined;
            findMethod?: ((params: {
                cellValue: any;
                isWhole: boolean;
                isRE: boolean;
                isSensitive: boolean;
                findValue: string | null;
                findRE: RegExp | null;
            }) => boolean) | undefined;
            beforeFindMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterFindMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                result: import("vxe-table").VxeTableProDefines.FindAndReplaceResult[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            isReplace?: boolean | undefined;
            replaceMethod?: ((params: {
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
            }) => void) | undefined;
            beforeReplaceMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                replaceValue: string;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterReplaceMethod?: ((params: {
                isAll: boolean;
                findValue: string | null;
                replaceValue: string;
                result: import("vxe-table").VxeTableProDefines.FindAndReplaceResult[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
        } | undefined;
        keyboardConfig?: {
            isArrow?: boolean | undefined;
            isEsc?: boolean | undefined;
            isDel?: boolean | undefined;
            isEnter?: boolean | undefined;
            isTab?: boolean | undefined;
            isEdit?: boolean | undefined;
            isMerge?: boolean | undefined;
            isClip?: boolean | undefined;
            isFNR?: boolean | undefined;
            isChecked?: boolean | undefined;
            enterToTab?: boolean | undefined;
            delMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
            }) => void) | undefined;
            backMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
            }) => void) | undefined;
            editMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
        } | undefined;
        clipConfig?: {
            isCopy?: boolean | undefined;
            isCut?: boolean | undefined;
            isPaste?: boolean | undefined;
            isFillPaste?: boolean | undefined;
            isRowIncrement?: boolean | undefined;
            isColumnIncrement?: boolean | undefined;
            copyMethod?: ((params: {
                isCut: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => string) | undefined;
            beforeCopyMethod?: ((params: {
                isCut: boolean;
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterCopyMethod?: ((params: {
                isCut: boolean;
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            cutMethod?: ((params: {
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            beforeCutMethod?: ((params: {
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterCutMethod?: ((params: {
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            pasteMethod?: ((params: {
                isCut: boolean;
                row: any;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                cellValue: any;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => void) | undefined;
            beforePasteMethod?: ((params: {
                isCut: boolean;
                activeArea: import("vxe-table").VxeTableProDefines.MouseActiveCellArea;
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: string[][];
                pasteCells: string[][];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            afterPasteMethod?: ((params: {
                isCut: boolean;
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cutAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertRows: any[];
                insertColumns: import("vxe-table").VxeTableDefines.ColumnInfo[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            createRowsMethod?: ((params: {
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertRows: any[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => any[]) | undefined;
            createColumnsMethod?: ((params: {
                currentAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                targetAreas: import("vxe-table").VxeTableProDefines.CellAreaParams[];
                cellValues: any[][];
                pasteCells: string[][];
                insertColumns: import("vxe-table").VxeTableDefines.ColumnOptions[];
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => import("vxe-table").VxeTableDefines.ColumnOptions[]) | undefined;
        } | undefined;
        editConfig?: {
            trigger?: "manual" | "click" | "dblclick" | undefined;
            enabled?: boolean | undefined;
            mode?: string | undefined;
            icon?: string | undefined;
            showIcon?: boolean | undefined;
            showStatus?: boolean | undefined;
            showUpdateStatus?: boolean | undefined;
            showInsertStatus?: boolean | undefined;
            showAsterisk?: boolean | undefined;
            autoClear?: boolean | undefined;
            beforeEditMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
            activeMethod?: ((params: {
                row: any;
                rowIndex: number;
                column: import("vxe-table").VxeTableDefines.ColumnInfo;
                columnIndex: number;
                $table: import("vxe-table").VxeTableConstructor & import("vxe-table").VxeTablePrivateMethods;
                $grid: import("vxe-table").VxeGridConstructor | null | undefined;
            }) => boolean) | undefined;
        } | undefined;
        validConfig?: {
            autoPos?: boolean | undefined;
            showMessage?: boolean | undefined;
            message?: string | undefined;
            maxWidth?: number | undefined;
        } | undefined;
        editRules?: import("vxe-table").VxeTablePropTypes.EditRules | undefined;
        emptyText?: string | undefined;
        emptyRender?: {
            name?: string | undefined;
            props?: {
                [key: string]: any;
            } | undefined;
            attrs?: {
                [key: string]: any;
            } | undefined;
            events?: {
                [key: string]: Function;
            } | undefined;
            children?: any[] | undefined;
            cellType?: "string" | "number" | undefined;
        } | undefined;
        loadingConfig?: {
            icon?: string | undefined;
            text?: string | undefined;
        } | undefined;
        fit?: boolean | undefined;
        animat?: boolean | undefined;
        delayHover?: number | undefined;
        scrollX?: {
            gt?: number | undefined;
            oSize?: number | undefined;
            enabled?: boolean | undefined;
            scrollToLeftOnChange?: boolean | undefined;
        } | undefined;
        scrollY?: {
            mode?: "default" | "wheel" | undefined;
            gt?: number | undefined;
            oSize?: number | undefined;
            enabled?: boolean | undefined;
            scrollToTopOnChange?: boolean | undefined;
            rHeight?: number | undefined;
            adaptive?: boolean | undefined;
        } | undefined;
        params?: any;
        columns?: {
            children?: any[] | undefined;
            slots?: {
                title?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                radio?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                checkbox?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                default?: string | ((params: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                header?: string | ((params: import("vxe-table").VxeColumnPropTypes.HeaderSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                footer?: string | ((params: import("vxe-table").VxeColumnPropTypes.FooterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                content?: string | ((params: import("vxe-table").VxeColumnPropTypes.ContentSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                filter?: string | ((params: import("vxe-table").VxeColumnPropTypes.FilterSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                edit?: string | ((params: import("vxe-table").VxeColumnPropTypes.EditSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
                icon?: string | ((params: import("vxe-table").VxeColumnPropTypes.IconSlotParams) => import("vxe-table").SlotVNodeType | import("vxe-table").SlotVNodeType[]) | null | undefined;
            } | undefined;
            colId?: import("vxe-table").VxeColumnPropTypes.ColId | undefined;
            type?: import("vxe-table").VxeColumnPropTypes.Type | undefined;
            field?: string | undefined;
            title?: string | undefined;
            width?: import("vxe-table").VxeColumnPropTypes.Width | undefined;
            minWidth?: import("vxe-table").VxeColumnPropTypes.MinWidth | undefined;
            maxWidth?: import("vxe-table").VxeColumnPropTypes.MaxWidth | undefined;
            resizable?: boolean | undefined;
            fixed?: import("vxe-table").VxeColumnPropTypes.Fixed | undefined;
            align?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            headerAlign?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            footerAlign?: import("vxe-table").VxeColumnPropTypes.Align | undefined;
            showOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            showHeaderOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            showFooterOverflow?: import("vxe-table").VxeTablePropTypes.ShowOverflow | undefined;
            className?: import("vxe-table").VxeColumnPropTypes.ClassName | undefined;
            headerClassName?: import("vxe-table").VxeColumnPropTypes.HeaderClassName | undefined;
            footerClassName?: import("vxe-table").VxeColumnPropTypes.FooterClassName | undefined;
            formatter?: import("vxe-table").VxeColumnPropTypes.Formatter | undefined;
            sortable?: boolean | undefined;
            sortBy?: import("vxe-table").VxeColumnPropTypes.SortBy | undefined;
            sortType?: import("vxe-table").VxeColumnPropTypes.SortType | undefined;
            filters?: {
                label?: string | number | undefined;
                value?: any;
                data?: any;
                resetValue?: any;
                checked?: boolean | undefined;
            }[] | undefined;
            filterMultiple?: boolean | undefined;
            filterMethod?: import("vxe-table").VxeColumnPropTypes.FilterMethod | undefined;
            filterRender?: {
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                content?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                events?: {
                    [key: string]: Function;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            treeNode?: boolean | undefined;
            visible?: boolean | undefined;
            exportMethod?: import("vxe-table").VxeColumnPropTypes.ExportMethod | undefined;
            footerExportMethod?: import("vxe-table").VxeColumnPropTypes.FooterExportMethod | undefined;
            titleHelp?: {
                useHTML?: boolean | undefined;
                content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                enterable?: boolean | undefined;
                theme?: string | undefined;
                icon?: string | undefined;
                message?: string | undefined;
            } | undefined;
            titlePrefix?: {
                useHTML?: boolean | undefined;
                content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                enterable?: boolean | undefined;
                theme?: string | undefined;
                icon?: string | undefined;
                message?: string | undefined;
            } | undefined;
            cellType?: import("vxe-table").VxeColumnPropTypes.CellType | undefined;
            cellRender?: {
                events?: {
                    [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.DefaultSlotParams, ...args: any[]) => any;
                } | undefined;
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                content?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            editRender?: {
                events?: {
                    [key: string]: (cellParams: import("vxe-table").VxeColumnPropTypes.EditSlotParams, ...args: any[]) => any;
                } | undefined;
                enabled?: boolean | undefined;
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                autofocus?: string | undefined;
                autoselect?: boolean | undefined;
                defaultValue?: string | number | object | any[] | ((params: {
                    column: import("vxe-table").VxeTableDefines.ColumnInfo;
                }) => any) | {
                    exec: (string: string) => RegExpExecArray | null;
                    test: (string: string) => boolean;
                    readonly source: string;
                    readonly global: boolean;
                    readonly ignoreCase: boolean;
                    readonly multiline: boolean;
                    lastIndex: number;
                    compile: (pattern: string, flags?: string | undefined) => RegExp;
                    readonly flags: string;
                    readonly sticky: boolean;
                    readonly unicode: boolean;
                    readonly dotAll: boolean;
                    [Symbol.match]: (string: string) => RegExpMatchArray | null;
                    [Symbol.replace]: {
                        (string: string, replaceValue: string): string;
                        (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                    };
                    [Symbol.search]: (string: string) => number;
                    [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                    [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                } | {
                    toString: () => string;
                    toDateString: () => string;
                    toTimeString: () => string;
                    toLocaleString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleDateString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    toLocaleTimeString: {
                        (): string;
                        (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                        (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                    };
                    valueOf: () => number;
                    getTime: () => number;
                    getFullYear: () => number;
                    getUTCFullYear: () => number;
                    getMonth: () => number;
                    getUTCMonth: () => number;
                    getDate: () => number;
                    getUTCDate: () => number;
                    getDay: () => number;
                    getUTCDay: () => number;
                    getHours: () => number;
                    getUTCHours: () => number;
                    getMinutes: () => number;
                    getUTCMinutes: () => number;
                    getSeconds: () => number;
                    getUTCSeconds: () => number;
                    getMilliseconds: () => number;
                    getUTCMilliseconds: () => number;
                    getTimezoneOffset: () => number;
                    setTime: (time: number) => number;
                    setMilliseconds: (ms: number) => number;
                    setUTCMilliseconds: (ms: number) => number;
                    setSeconds: (sec: number, ms?: number | undefined) => number;
                    setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                    setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                    setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                    setDate: (date: number) => number;
                    setUTCDate: (date: number) => number;
                    setMonth: (month: number, date?: number | undefined) => number;
                    setUTCMonth: (month: number, date?: number | undefined) => number;
                    setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                    toUTCString: () => string;
                    toISOString: () => string;
                    toJSON: (key?: any) => string;
                    getVarDate: () => VarDate;
                    [Symbol.toPrimitive]: {
                        (hint: "default"): string;
                        (hint: "string"): string;
                        (hint: "number"): number;
                        (hint: string): string | number;
                    };
                } | null | undefined;
                immediate?: boolean | undefined;
                content?: string | undefined;
                placeholder?: string | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            contentRender?: {
                options?: any[] | undefined;
                optionProps?: {
                    value?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                optionGroups?: any[] | undefined;
                optionGroupProps?: {
                    options?: string | undefined;
                    label?: string | undefined;
                    key?: string | undefined;
                } | undefined;
                name?: string | undefined;
                props?: {
                    [key: string]: any;
                } | undefined;
                attrs?: {
                    [key: string]: any;
                } | undefined;
                events?: {
                    [key: string]: Function;
                } | undefined;
                children?: any[] | undefined;
                cellType?: "string" | "number" | undefined;
            } | undefined;
            params?: any;
        }[] | undefined;
        pagerConfig?: {
            enabled?: boolean | undefined;
            slots?: any;
            size?: import("vxe-table").SizeType | undefined;
            layouts?: ("PrevJump" | "PrevPage" | "Number" | "JumpNumber" | "NextPage" | "NextJump" | "Sizes" | "Jump" | "FullJump" | "PageCount" | "Total")[] | undefined;
            currentPage?: number | undefined;
            loading?: boolean | undefined;
            pageSize?: number | undefined;
            total?: number | undefined;
            pagerCount?: number | undefined;
            pageSizes?: (number | {
                label?: string | number | undefined;
                value?: string | number | undefined;
            })[] | undefined;
            align?: string | undefined;
            border?: boolean | undefined;
            background?: boolean | undefined;
            perfect?: boolean | undefined;
            autoHidden?: boolean | undefined;
            transfer?: boolean | undefined;
            className?: import("vxe-table").VxePagerPropTypes.ClassName | undefined;
            iconPrevPage?: string | undefined;
            iconJumpPrev?: string | undefined;
            iconJumpNext?: string | undefined;
            iconNextPage?: string | undefined;
            iconJumpMore?: string | undefined;
            pageKey?: string | undefined;
            pageSizeKey?: string | undefined;
        } | undefined;
        proxyConfig?: {
            [x: string]: any;
            enabled?: boolean | undefined;
            autoLoad?: boolean | undefined;
            message?: boolean | undefined;
            seq?: boolean | undefined;
            sort?: boolean | undefined;
            filter?: boolean | undefined;
            form?: boolean | undefined;
            props?: {
                list?: string | null | undefined;
                result?: string | undefined;
                total?: string | undefined;
                message?: string | undefined;
            } | undefined;
            ajax?: {
                query?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxQueryParams, ...args: any[]) => Promise<any>) | undefined;
                queryAll?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxQueryAllParams, ...args: any[]) => Promise<any>) | undefined;
                delete?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxDeleteParams, ...args: any[]) => Promise<any>) | undefined;
                save?: ((params: import("vxe-table").VxeGridPropTypes.ProxyAjaxSaveParams, ...args: any[]) => Promise<any>) | undefined;
            } | undefined;
        } | undefined;
        toolbarConfig?: {
            enabled?: boolean | undefined;
            buttons?: any[] | undefined;
            zoom?: boolean | {
                escRestore?: boolean | undefined;
                iconIn?: string | undefined;
                iconOut?: string | undefined;
            } | undefined;
            slots?: {
                buttons?: string | ((params: {}) => string[] | JSX.Element | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[] | JSX.Element[]) | undefined;
                tools?: string | ((params: {}) => string[] | JSX.Element | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[] | JSX.Element[]) | undefined;
            } | undefined;
            size?: import("vxe-table").SizeType | undefined;
            id?: string | undefined;
            loading?: boolean | undefined;
            resizable?: boolean | {
                storage?: boolean | undefined;
            } | undefined;
            refresh?: boolean | {
                queryMethod?: ((params: {}) => Promise<any>) | undefined;
                code?: "query" | "reload" | undefined;
                icon?: string | undefined;
                iconLoading?: string | undefined;
                query?: ((params: {}) => Promise<any>) | undefined;
            } | undefined;
            import?: boolean | {
                icon?: string | undefined;
            } | undefined;
            export?: boolean | {
                icon?: string | undefined;
            } | undefined;
            print?: boolean | {
                icon?: string | undefined;
            } | undefined;
            custom?: boolean | {
                trigger?: string | undefined;
                immediate?: boolean | undefined;
                storage?: boolean | undefined;
                checkMethod?: ((params: {
                    column: import("vxe-table").VxeTableDefines.ColumnInfo;
                }) => boolean) | undefined;
                isFooter?: {
                    valueOf: () => boolean;
                } | undefined;
                icon?: string | undefined;
            } | undefined;
            tools?: {
                dropdowns?: any[] | undefined;
                toolRender?: {
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                } | undefined;
                code?: string | undefined;
                visible?: boolean | undefined;
                params?: any;
                size?: import("vxe-table").SizeType | undefined;
                type?: string | undefined;
                className?: string | undefined;
                name?: import("vxe-table").VxeButtonPropTypes.Name | undefined;
                content?: string | undefined;
                placement?: string | undefined;
                status?: string | undefined;
                icon?: string | undefined;
                round?: boolean | undefined;
                circle?: boolean | undefined;
                disabled?: boolean | undefined;
                loading?: boolean | undefined;
                destroyOnClose?: boolean | undefined;
                transfer?: boolean | undefined;
            }[] | undefined;
            perfect?: boolean | undefined;
            className?: import("vxe-table").VxeToolbarPropTypes.ClassName | undefined;
        } | undefined;
        formConfig?: {
            enabled?: boolean | undefined;
            items?: {
                title?: string | undefined;
                field?: string | undefined;
                span?: import("vxe-table").VxeFormPropTypes.Span | undefined;
                align?: import("vxe-table").VxeFormPropTypes.Align | undefined;
                titleAlign?: import("vxe-table").VxeFormPropTypes.Align | undefined;
                titleWidth?: import("vxe-table").VxeFormPropTypes.TitleWidth | undefined;
                titleColon?: boolean | undefined;
                titleAsterisk?: boolean | undefined;
                className?: import("vxe-table").VxeFormItemPropTypes.ClassName | undefined;
                titlePrefix?: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                } | undefined;
                titleSuffix?: {
                    useHTML?: boolean | undefined;
                    content?: import("vxe-table").VxeTooltipPropTypes.Content | undefined;
                    enterable?: boolean | undefined;
                    theme?: string | undefined;
                    icon?: string | undefined;
                    message?: string | undefined;
                } | undefined;
                titleOverflow?: import("vxe-table").VxeFormPropTypes.TitleOverflow | undefined;
                resetValue?: any;
                visible?: boolean | undefined;
                visibleMethod?: import("vxe-table").VxeFormItemPropTypes.VisibleMethod | undefined;
                folding?: boolean | undefined;
                collapseNode?: boolean | undefined;
                itemRender?: {
                    options?: any[] | undefined;
                    optionProps?: {
                        value?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    optionGroups?: any[] | undefined;
                    optionGroupProps?: {
                        options?: string | undefined;
                        label?: string | undefined;
                        key?: string | undefined;
                    } | undefined;
                    content?: string | undefined;
                    autofocus?: boolean | undefined;
                    defaultValue?: string | number | object | any[] | {
                        exec: (string: string) => RegExpExecArray | null;
                        test: (string: string) => boolean;
                        readonly source: string;
                        readonly global: boolean;
                        readonly ignoreCase: boolean;
                        readonly multiline: boolean;
                        lastIndex: number;
                        compile: (pattern: string, flags?: string | undefined) => RegExp;
                        readonly flags: string;
                        readonly sticky: boolean;
                        readonly unicode: boolean;
                        readonly dotAll: boolean;
                        [Symbol.match]: (string: string) => RegExpMatchArray | null;
                        [Symbol.replace]: {
                            (string: string, replaceValue: string): string;
                            (string: string, replacer: (substring: string, ...args: any[]) => string): string;
                        };
                        [Symbol.search]: (string: string) => number;
                        [Symbol.split]: (string: string, limit?: number | undefined) => string[];
                        [Symbol.matchAll]: (str: string) => IterableIterator<RegExpMatchArray>;
                    } | {
                        toString: () => string;
                        toDateString: () => string;
                        toTimeString: () => string;
                        toLocaleString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleDateString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        toLocaleTimeString: {
                            (): string;
                            (locales?: string | string[] | undefined, options?: Intl.DateTimeFormatOptions | undefined): string;
                            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions | undefined): string;
                        };
                        valueOf: () => number;
                        getTime: () => number;
                        getFullYear: () => number;
                        getUTCFullYear: () => number;
                        getMonth: () => number;
                        getUTCMonth: () => number;
                        getDate: () => number;
                        getUTCDate: () => number;
                        getDay: () => number;
                        getUTCDay: () => number;
                        getHours: () => number;
                        getUTCHours: () => number;
                        getMinutes: () => number;
                        getUTCMinutes: () => number;
                        getSeconds: () => number;
                        getUTCSeconds: () => number;
                        getMilliseconds: () => number;
                        getUTCMilliseconds: () => number;
                        getTimezoneOffset: () => number;
                        setTime: (time: number) => number;
                        setMilliseconds: (ms: number) => number;
                        setUTCMilliseconds: (ms: number) => number;
                        setSeconds: (sec: number, ms?: number | undefined) => number;
                        setUTCSeconds: (sec: number, ms?: number | undefined) => number;
                        setMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCMinutes: (min: number, sec?: number | undefined, ms?: number | undefined) => number;
                        setHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setUTCHours: (hours: number, min?: number | undefined, sec?: number | undefined, ms?: number | undefined) => number;
                        setDate: (date: number) => number;
                        setUTCDate: (date: number) => number;
                        setMonth: (month: number, date?: number | undefined) => number;
                        setUTCMonth: (month: number, date?: number | undefined) => number;
                        setFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        setUTCFullYear: (year: number, month?: number | undefined, date?: number | undefined) => number;
                        toUTCString: () => string;
                        toISOString: () => string;
                        toJSON: (key?: any) => string;
                        getVarDate: () => VarDate;
                        [Symbol.toPrimitive]: {
                            (hint: "default"): string;
                            (hint: "string"): string;
                            (hint: "number"): number;
                            (hint: string): string | number;
                        };
                    } | ((params: {
                        item: import("vxe-table").VxeFormItemProps;
                    }) => any) | null | undefined;
                    name?: string | undefined;
                    props?: {
                        [key: string]: any;
                    } | undefined;
                    attrs?: {
                        [key: string]: any;
                    } | undefined;
                    events?: {
                        [key: string]: Function;
                    } | undefined;
                    children?: any[] | undefined;
                    cellType?: "string" | "number" | undefined;
                } | undefined;
                slots?: {
                    title?: string | ((params: import("vxe-table").FormItemTitleRenderParams) => string[] | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[] | JSX.Element[]) | null | undefined;
                    default?: string | ((params: import("vxe-table").FormItemContentRenderParams) => string[] | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[] | JSX.Element[]) | null | undefined;
                } | undefined;
                children?: any[] | undefined;
            }[] | undefined;
            size?: import("vxe-table").SizeType | undefined;
            collapseStatus?: boolean | undefined;
            loading?: boolean | undefined;
            data?: any;
            span?: import("vxe-table").VxeFormPropTypes.Span | undefined;
            align?: import("vxe-table").VxeFormPropTypes.Align | undefined;
            titleAlign?: import("vxe-table").VxeFormPropTypes.Align | undefined;
            titleWidth?: import("vxe-table").VxeFormPropTypes.TitleWidth | undefined;
            titleColon?: boolean | undefined;
            titleAsterisk?: boolean | undefined;
            titleOverflow?: import("vxe-table").VxeFormPropTypes.TitleOverflow | undefined;
            className?: import("vxe-table").VxeFormPropTypes.ClassName | undefined;
            readonly?: boolean | undefined;
            rules?: import("vxe-table").VxeFormPropTypes.Rules | undefined;
            preventSubmit?: boolean | undefined;
            validConfig?: {
                autoPos?: boolean | undefined;
                showMessage?: boolean | undefined;
            } | undefined;
            tooltipConfig?: {
                theme?: "dark" | "light" | undefined;
                enterable?: boolean | undefined;
                leaveDelay?: number | undefined;
                leaveMethod?: ((params: {
                    $event: Event;
                }) => boolean) | undefined;
            } | undefined;
            customLayout?: boolean | undefined;
        } | undefined;
        zoomConfig?: {
            escRestore?: boolean | undefined;
        } | undefined;
        onKeydown?: import("vxe-table").VxeGridEvents.Keydown | undefined;
        onPaste?: import("vxe-table").VxeGridEvents.Paste | undefined;
        onCopy?: import("vxe-table").VxeGridEvents.Copy | undefined;
        onCut?: import("vxe-table").VxeGridEvents.Cut | undefined;
        onCurrentChange?: import("vxe-table").VxeGridEvents.CurrentChange | undefined;
        onRadioChange?: import("vxe-table").VxeGridEvents.RadioChange | undefined;
        onCheckboxChange?: import("vxe-table").VxeGridEvents.CheckboxChange | undefined;
        onCheckboxAll?: import("vxe-table").VxeGridEvents.CheckboxAll | undefined;
        onCheckboxRangeStart?: import("vxe-table").VxeGridEvents.CheckboxRangeStart | undefined;
        onCheckboxRangeChange?: import("vxe-table").VxeGridEvents.CheckboxRangeChange | undefined;
        onCheckboxRangeEnd?: import("vxe-table").VxeGridEvents.CheckboxRangeEnd | undefined;
        onCellClick?: import("vxe-table").VxeGridEvents.CellClick | undefined;
        onCellDblclick?: import("vxe-table").VxeGridEvents.CellDblclick | undefined;
        onCellMenu?: import("vxe-table").VxeGridEvents.CellMenu | undefined;
        onCellMouseenter?: import("vxe-table").VxeGridEvents.CellMouseenter | undefined;
        onCellMouseleave?: import("vxe-table").VxeGridEvents.CellMouseleave | undefined;
        onHeaderCellClick?: import("vxe-table").VxeGridEvents.HeaderCellClick | undefined;
        onHeaderCellDblclick?: import("vxe-table").VxeGridEvents.HeaderCellDblclick | undefined;
        onHeaderCellMenu?: import("vxe-table").VxeGridEvents.HeaderCellMenu | undefined;
        onFooterCellClick?: import("vxe-table").VxeGridEvents.FooterCellClick | undefined;
        onFooterCellDblclick?: import("vxe-table").VxeGridEvents.FooterCellDblclick | undefined;
        onFooterCellMenu?: import("vxe-table").VxeGridEvents.FooterCellMenu | undefined;
        onSortChange?: import("vxe-table").VxeGridEvents.SortChange | undefined;
        onFilterChange?: import("vxe-table").VxeGridEvents.FilterChange | undefined;
        onFilterVisible?: import("vxe-table").VxeGridEvents.FilterVisible | undefined;
        onResizableChange?: import("vxe-table").VxeGridEvents.ResizableChange | undefined;
        onToggleRowExpand?: import("vxe-table").VxeGridEvents.ToggleRowExpand | undefined;
        onToggleTreeExpand?: import("vxe-table").VxeGridEvents.ToggleTreeExpand | undefined;
        onMenuClick?: import("vxe-table").VxeGridEvents.MenuClick | undefined;
        onEditClosed?: import("vxe-table").VxeGridEvents.EditClosed | undefined;
        onEditActived?: import("vxe-table").VxeGridEvents.EditActived | undefined;
        onEditDisabled?: import("vxe-table").VxeGridEvents.EditDisabled | undefined;
        onValidError?: import("vxe-table").VxeGridEvents.ValidError | undefined;
        onScroll?: import("vxe-table").VxeGridEvents.Scroll | undefined;
        onCustom?: import("vxe-table").VxeGridEvents.Custom | undefined;
        onPageChange?: import("vxe-table").VxeGridEvents.PageChange | undefined;
        onFormSubmit?: import("vxe-table").VxeGridEvents.FormSubmit | undefined;
        onFormSubmitInvalid?: import("vxe-table").VxeGridEvents.FormSubmitInvalid | undefined;
        onFormReset?: import("vxe-table").VxeGridEvents.FormReset | undefined;
        onFormCollapse?: import("vxe-table").VxeGridEvents.FormCollapse | undefined;
        onToolbarButtonClick?: import("vxe-table").VxeGridEvents.ToolbarButtonClick | undefined;
        onToolbarToolClick?: import("vxe-table").VxeGridEvents.ToolbarToolClick | undefined;
        onZoom?: import("vxe-table").VxeGridEvents.Zoom | undefined;
        onOpenFnr?: import("vxe-table").VxeGridEvents.OpenFnr | undefined;
        onFnrChange?: import("vxe-table").VxeGridEvents.FnrChange | undefined;
        onFnrFind?: import("vxe-table").VxeGridEvents.FnrFind | undefined;
        onFnrFindAll?: import("vxe-table").VxeGridEvents.FnrFindAll | undefined;
        onFnrReplace?: import("vxe-table").VxeGridEvents.FnrReplace | undefined;
        onFnrReplaceAll?: import("vxe-table").VxeGridEvents.FnrReplaceAll | undefined;
        onCellAreaCopy?: import("vxe-table").VxeGridEvents.CellAreaCopy | undefined;
        onCellAreaCut?: import("vxe-table").VxeGridEvents.CellAreaCut | undefined;
        onCellAreaPaste?: import("vxe-table").VxeGridEvents.CellAreaPaste | undefined;
        onCellAreaMerge?: import("vxe-table").VxeGridEvents.CellAreaMerge | undefined;
        onClearCellAreaMerge?: import("vxe-table").VxeGridEvents.ClearCellAreaMerge | undefined;
        onHeaderCellAreaSelection?: import("vxe-table").VxeGridEvents.HeaderCellAreaSelection | undefined;
        onCellAreaSelectionStart?: import("vxe-table").VxeGridEvents.CellAreaSelectionStart | undefined;
        onCellAreaSelectionDrag?: import("vxe-table").VxeGridEvents.CellAreaSelectionDrag | undefined;
        onCellAreaSelectionEnd?: import("vxe-table").VxeGridEvents.CellAreaSelectionEnd | undefined;
        onCellAreaExtensionStart?: import("vxe-table").VxeGridEvents.CellAreaExtensionStart | undefined;
        onCellAreaExtensionDrag?: import("vxe-table").VxeGridEvents.CellAreaExtensionDrag | undefined;
        onCellAreaExtensionEnd?: import("vxe-table").VxeGridEvents.CellAreaExtensionEnd | undefined;
        onCellAreaArrowsStart?: import("vxe-table").VxeGridEvents.CellAreaArrowsStart | undefined;
        onCellAreaArrowsEnd?: import("vxe-table").VxeGridEvents.CellAreaArrowsEnd | undefined;
        onActiveCellChangeStart?: import("vxe-table").VxeGridEvents.ActiveCellChangeStart | undefined;
        onActiveCellChangeEnd?: import("vxe-table").VxeGridEvents.ActiveCellChangeEnd | undefined;
        filters?: unknown;
    };
    tableLoading: boolean;
    fetchData: (data?: Record<string, unknown>) => void;
    CrudTable: Crud.CrudTable<QR, CR, DR, UR>;
};
export declare const BaseTable: typeof Base.BaseTable;
export declare const CrudTable: typeof Crud.CrudTable;
